## com.ibm.lab.soln.jdt
Class ASTNode2StringVisitor

    java.lang.Object
      |
      +--org.eclipse.jdt.core.dom.ASTVisitor
            |
            +--com.ibm.lab.soln.jdt.ASTNode2StringVisitor

public class ASTNode2StringVisitor
extends org.eclipse.jdt.core.dom.ASTVisitor

A simple `ASTVisitor` subclass that prints all nodes to the Console, indented to the proper level.

See Also:
  `HelloASTAction`, `ASTNode`, `ASTVisitor`

Constructor Summary
`ASTNode2StringVisitor()`

Method Summary
`void` | `preVisit(org.eclipse.jdt.core.dom.ASTNode node)`

Methods inherited from class org.eclipse.jdt.core.dom.ASTVisitor
`endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, postVisit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTNode2StringVisitor

    public ASTNode2StringVisitor()

Method Detail

### preVisit

    public void preVisit(org.eclipse.jdt.core.dom.ASTNode node)

  Overrides:
    `preVisit` in class `org.eclipse.jdt.core.dom.ASTVisitor`